
QGIS Application - Bug report #6911

qgis evaluate raster settings from canvas situation don't use original raster.

2012-12-22 11:37 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16034

Description

Hi,

I notice this behaviour:

Adding a raster to the canvas.

It is initially visible.

After if I open the properties, go to style page 

I see the initial setting for "Render Type" is "Multiband color".

Now I try to change the value to "single band gray" and click on apply.

Now I see the image is became a single gray rectangle.

So I decide to return to the previous setting:

So I reselect the Render-Type and choose the values "multiband color" (the same starting value).

And "apply" again.

But the image don'r reappare.

Instead the gray rectangle disappear and the canvas is fully empty.

I  guess this happened because qgis evaluate "multiband color" starting from canvas situation (the gray).

Instead I guess it should always evaluate the settings starting from original raster.

History

#1 - 2012-12-24 10:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

Now I try to change the value to "single band gray" and click on apply.

Now I see the image is became a single gray rectangle.

you must have the contrast enhancement set to something that is not "no enhancement" and have min/max values computed by clicking on "load" (and

selecting one of the 3 methods).

So I reselect the Render-Type and choose the values "multiband color" (the same starting value). And "apply" again. But the image don'r reappare.

you must select the bands for R, G and B.
#2 - 2012-12-25 02:48 PM - aperi2007 -

ok,

If I set the 3 combos to the value "R", "G" and "B" the image reappear.

But why I need to reset this three values ?

I have just choose the value "multiband color" in the render-type combo.

I understand that the sequence could be one of many (RGB, GBR, GRB, etc..)

but the original sequence could be read from the raster himself, or if not

the start could choose to start with the most used (RGB) .

#3 - 2012-12-25 03:12 PM - Giovanni Manghi

- OS version deleted (windows 7)

aperi2007 - wrote:

ok,

If I set the 3 combos to the value "R", "G" and "B" the image reappear.

But why I need to reset this three values ?

I have just choose the value "multiband color" in the render-type combo.

I understand that the sequence could be one of many (RGB, GBR, GRB, etc..)

but the original sequence could be read from the raster himself, or if not

the start could choose to start with the most used (RGB) .

yes make sense

#4 - 2013-02-17 01:14 AM - Jürgen Fischer

- Status changed from Feedback to Open

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
